import * as React from "react";
import { Animated, ViewStyle, ImageStyle, TextStyle } from "react-native";
/**
 * ? Local Imports
 */
import Icon from "./components/Icon";
export interface ISingleSelectDataType {
    id: number;
    value: string;
}
interface IProps {
    placeholder?: string;
    buttonContainerStyle?: ViewStyle;
    arrowImageStyle?: ImageStyle;
    menuItemTextStyle?: TextStyle;
    menuBarContainerStyle?: ViewStyle;
    data?: Array<ISingleSelectDataType>;
    onSelect: (selectedItem: ISingleSelectDataType) => void;
}
interface IState {
    menuToggled: boolean;
    borderRadius: Animated.Value;
    menuBarYTranslate: Animated.Value;
    selectedItem?: ISingleSelectDataType | null;
}
export default class RNSingleSelect extends React.Component<IProps, IState> {
    iconRef?: Icon;
    constructor(props: IProps);
    animateBorderRadius: () => void;
    animateSelectionBar: () => void;
    handleOnToggleMenuBar: () => void;
    handleOnSelectItem: (item: ISingleSelectDataType) => void;
    renderSingleSelectButton: () => JSX.Element;
    renderMenuItem: (item: ISingleSelectDataType, index: number) => JSX.Element;
    renderMenuBar: () => JSX.Element;
    render(): JSX.Element;
}
export {};
