"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._menuItemContainer = exports._placeholderTextStyle = void 0;
const react_native_1 = require("react-native");
exports._placeholderTextStyle = (selectedItem) => ({
    fontSize: 16,
    fontWeight: "bold",
    color: selectedItem ? "#fff" : "#fdfdfd",
});
exports._menuItemContainer = (index, data) => ({
    padding: 16,
    borderBottomEndRadius: index === (data && data.length - 1) ? 16 : 0,
    borderBottomStartRadius: index === (data && data.length - 1) ? 16 : 0,
});
exports.default = react_native_1.StyleSheet.create({
    buttonContainer: {
        height: 50,
        width: 250,
        borderTopLeftRadius: 16,
        borderTopRightRadius: 16,
        justifyContent: "center",
        backgroundColor: "#2b2c32",
    },
    menuBarContainer: {
        height: 150,
        backgroundColor: "#171920",
        borderBottomEndRadius: 16,
        borderBottomStartRadius: 16,
    },
    buttonContainerGlue: {
        marginLeft: 16,
        marginRight: 16,
        flexDirection: "row",
        alignItems: "center",
        justifyContent: "space-between",
    },
    arrowImageStyle: {
        width: 20,
        height: 20,
    },
    menuItemTextStyle: {
        color: "#52555b",
    },
});
//# sourceMappingURL=RNSingleSelect.style.js.map